Bug 118080 - Swivel animation isn't shown correctly after saving in PPT format and reopening
Summary: Swivel animation isn't shown correctly after saving in PPT format and reopening
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords: filter:ppt
Depends on:
Blocks: Custom-Animations PPT
  Show dependency treegraph
 
Reported: 2018-06-09 14:37 UTC by Aron Budea
Modified: 2018-08-31 23:31 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Sample ODP (10.88 KB, application/vnd.oasis.opendocument.presentation)
2018-06-09 14:37 UTC, Aron Budea
Details
Sample saved as PPT in LO 6.1 beta1 (123.50 KB, application/vnd.ms-powerpoint)
2018-06-09 14:38 UTC, Aron Budea
Details
Sample PPT from PowerPoint (86.00 KB, application/vnd.ms-powerpoint)
2018-06-09 19:29 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2018-06-09 14:37:38 UTC
Created attachment 142623 [details]
Sample ODP

The attached presentation contains a single piece of text with Swivel entrance animation.
Save it as PPT, and reopen it.

=> The animation is disregarded, the text simply appears during slideshow (though it still shows as swivel in the animation list).

Observed using LO 6.1 beta1 & 3.3.0 / Windows 7.

It seems like swivel animation isn't interpreted properly in PPTX format, either, see bug 113818.
Comment 1 Aron Budea 2018-06-09 14:38:28 UTC
Created attachment 142624 [details]
Sample saved as PPT in LO 6.1 beta1
Comment 2 Aron Budea 2018-06-09 19:29:57 UTC
Created attachment 142626 [details]
Sample PPT from PowerPoint

Interestingly, the same effect in a PPT created in PowerPoint is played fine.
Comment 3 MM 2018-06-13 22:17:27 UTC
Confirmed on windows 7 x64 with Version: 6.0.5.1 (x64)
Build ID: 0588a1cb9a40c4a6a029e1d442a2b9767d612751
CPU threads: 3; OS: Windows 6.1; UI render: default
Comment 4 Commit Notification 2018-07-31 11:45:57 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=696cbec5c6db783d3dd91d3f7d46f83dcc00b3cc

tdf#118080 fix formula importing of ppt animation.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Aron Budea 2018-08-31 23:31:13 UTC
Verified in LO 6.2 master build (e055b4a0fc23e1d0ad5d498f9195790dd41f6b3e) / Windows 7, thanks for the fix, Mark!

As a complication, bug 119629 is a follow-up about the PPT being roundtripped in PowerPoint.